$AdfDhtmlCommandNavigationItemPeer$$.$_SUB_ID_MAP$ = {remove_icon:"rmAbv", tab_text:"disclosureAnchor"};
$AdfDhtmlCommandNavigationItemPeer$$.prototype.$GetSubIdDomElement$ = function $$AdfDhtmlCommandNavigationItemPeer$$$$$GetSubIdDomElement$$($subElementId$$17$$) {
  $AdfAssert$$.$assertNonEmptyString$($subElementId$$17$$);
  var $navItemComp$$ = this.$getComponent$();
  return $AdfSubIdUtils$$.$getSubIdDomElementByMappedSubId$($subElementId$$17$$, $AdfDhtmlCommandNavigationItemPeer$$.$_SUB_ID_MAP$, $navItemComp$$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlCommandNavigationItemPeer.prototype.GetSubIdDomElement", {$GetSubIdDomElement$:$AdfDhtmlCommandNavigationItemPeer$$.prototype.$GetSubIdDomElement$});
$AdfDhtmlCommandNavigationItemPeer$$.prototype.$GetBestMatchSubId$ = function $$AdfDhtmlCommandNavigationItemPeer$$$$$GetBestMatchSubId$$($domElement$$635$$) {
  return $AdfSubIdUtils$$.$getBestMatchSubId$($domElement$$635$$, this, $AdfDhtmlCommandNavigationItemPeer$$.$_SUB_ID_MAP$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlCommandNavigationItemPeer.prototype.GetBestMatchSubId", {$GetBestMatchSubId$:$AdfDhtmlCommandNavigationItemPeer$$.prototype.$GetBestMatchSubId$});
